[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[tor-commits] [ooni-probe/master] Use the special curl command



commit e49e21f19292b666f8c05cae626a3eb8a6bb869d
Author: Arturo Filastò <art@xxxxxxxxx>
Date:   Fri Jul 3 16:33:13 2015 +0200

    Use the special curl command
---
 scripts/install.sh |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/install.sh b/scripts/install.sh
index 8d9a1fa..e5b6862 100644
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -64,7 +64,7 @@ elif command_exists busybox && busybox --list-modules | grep -q wget; then
 	curl='busybox wget --connect-timeout 20 -qO-'
 fi
 
-if ! (curl $TOR_DEB_REPO | grep "Apache Server at deb.torproject.org");then
+if ! ($curl $TOR_DEB_REPO | grep "Apache Server at deb.torproject.org");then
   echo '  The Tor Debian repository deb.torproject.org appears to be blocked.'
   echo '  Failing over to using the cloudfronted mirror.'
   TOR_DEB_REPO="https://d3skbh62gb3f3v.cloudfront.net/torproject.org"; 
@@ -169,7 +169,7 @@ case "$lsb_dist" in
       https*) 
         (
           set -x
-          $sh_c 'apt-get install -y apt-transport-https'
+          $sh_c 'apt-get install -y -q apt-transport-https'
         )
         ;;
     esac



_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits